Subject: [lojban] Re: Sets and classes

From: Jordan DeLong <[email-masked]>
Date: Sat, 21 Sep 2002 22:41:50 -0500

On Sun, Sep 22, 2002 at 03:07:30AM +0000, Jorge Llambias wrote:
> la djorden cusku di'e
> 
> > > But does not {na selcmi da} entail {na selcmi}? How could the
> > > second one be false if the first one is true?
> >
> >The first: "x1 is not a set with a member". (kinda clunky; easier
> >to translate the equivalent naku da zo'u selcmi da: "It is not
> >true that there is an X, such that x1 is a set with member X".
> >
> >The second: "x1 is not a set."
> >
> >Very very different, pe'i.
> 
> In English yes. But English "set" is not a relationship between
> things, it is a simple description.

Saying that containing 0 things is the same as not being a container
would be pretty broken, though. We shouldn't just deny that 0 is a
valid number.

su'o da selcmi node ==
su'o da selcmi naku de ==
su'o da naku de zo'u da selcmi de ==
naku roda de zo'u da selcmi de
It is false that, for all X there is a Y such that X is a set
containing Y.

i.e., that says exactly what you'd expect from the the first one:
su'o da selcmi node
there is at least one set which contains nothing.

> > > One could ask, does {lo selcmi be no da} belong to {lo'i selcmi}?
> > > I don't see how it could.
> >
> >I don't see how it couldn't.
> 
> Then a bicycle, which is {lo selcmi be noda}, is a member of
> {lo'i selcmi} too? Is there anything that is not a member?

Since when is a bicycle a set? A bicycle can't go into x1 of selcmi.

> > > {zilselcmi} should cover all sets though, including the empty one.
> >
> >I think selcmi should also.
> 
> Only if it can be interpreted as {selcmi be zi'o}, which may very
> well end up being what happens.

I don't see why you can't have it be a selcmi be noda. 0 is as valid
a number as anything else.

-- 
Jordan DeLong - [email-masked]
lu zo'o loi censa bakni cu terzba le zaltapla poi xagrai li'u
sei la mark. tuen. cusku